Bug 69663 - fail make swap by softwareraid on kickstart
fail make swap by softwareraid on kickstart
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-24 05:24 EDT by Ryosuke Kutsuna
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-02 14:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ryosuke Kutsuna 2002-07-24 05:24:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
kickstart failed when swap is made from softwareraid by anaconda kickstart.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install redhat linux 7.2 another pc
2.swap define software raid
3.try kickstart use anaconda-ks.cfg on target pc.
4.anaconda come secand stage, display error window 
	

Additional info:

when failed part of define partitions in anaconda-ks.cfg ----
   :
part raid.30 --size=512 --ondisk=sdb
part raid.27 --size=512 --ondisk=sda
   :
raid swap --fstype swap --level=RAID1 raid.27 raid.30
   :

when success part of define partitions in anaconda-ks.cfg ----
   :
part swap --size=512 --ondisk=sda
#part raid.30 --size=512 --ondisk=sdb
#part raid.27 --size=512 --ondisk=sda
   :
#raid swap --fstype swap --level=RAID1 raid.27 raid.30
   :

following error message ----
Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 777, in run
    self.setup_window (runres)
  File "/usr/lib/anaconda/gui.py", line 757, in setup_window
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 504, in setScreen
    (step, args) = self.dispatch.currentStep()
  File "/usr/lib/anaconda/dispatch.py", line 243, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/autopart.py", line 899, in doAutoPartition
    (errors, warnings) = sanityCheckAllRequests(partitions, diskset, 1)
  File "/usr/lib/anaconda/partitioning.py", line 595, in sanityCheckAllRequests
    swapSize = swapSize + requestSize(request, diskset)
TypeError: number coercion failed
    :
    :

you wan't more infomations then send me e-mail.
i think, this fail result is anaconda have miss to output anaconda-ks.cfg or
anaconda have miss to read anaconda-ks.cfg....

# sorry, i can't use english very well...
Comment 1 Michael Fulbright 2002-08-02 14:53:16 EDT
Jeremy this was corrected in Red Hat Linux 7.3?
Comment 2 Jeremy Katz 2002-08-02 16:30:51 EDT
Yes

Note You need to log in before you can comment on or make changes to this bug.